//=-- DailyGraphPlugin.h - Graphs accesses by the day of month ---------------=
//
//  This class 
//
//=---------------------------------------------------------------------------=
//  This file is copyright (c) 1997-1998 Chris Lattner
//=---------------------------------------------------------------------------=

#include "PagePlugin.h"
#include "Options.h"
#include "AccessFormatPlugin.h"

class DailyGraphPlugin : public PluginTemplate<PagePlugin,DailyGraphPlugin> {
public:
  inline static unsigned int GetCurrentVersion() {
    return 100;                       // Version 1.00
  }

  inline static const char *GetPluginName() {
    return "DailyGraph";
  }

  DailyGraphPlugin(int &Error);
  void ResetState();
  void OutputHTML(ostream &, Table<CSString,VTExp*> &);  
  void ProcessAccess(AccessFormatPlugin &);
  void SaveState(Serialize &);
  void LoadState(Serialize &);

  void GetFullName(Table<CSString,VTExp*> &Params, String &FullName, 
                   int UpdateFreq);

private :
  // Misc stuff
  int DayCount[31];  // Count for each hour
  int DaysInMonth;
};
